Subject: BIRD22 - Sub-Parameter Case Sensitivity

From: [email-masked] ( Bob Ross)
Date: Sat, 29 Oct 94 17:13 PDT

IBIS Members:

BIRD22 eliminates the case-sensitivity requirement for sub-parameters.

Bob Ross,
Interconnectix, Inc.

*****************************************************************************

*****************************************************************************
                 Buffer Issue Resolution Document  (BIRD)

BIRD ID#:                22
ISSUE TITLE:             Sub-Parameter Case Sensitivity
REQUESTOR:               Bob Ross, Interconnectix, Inc.
DATE SUBMITTED:          29 October 1994 
DATE REVISED:            
DATE ACCEPTED BY IBIS OPEN FORUM:    Pending

******************************************************************************

******************************************************************************

STATEMENT OF THE ISSUE:

There appears to be no need to require any of the IBIS subparameters to
be case sensitive.

******************************************************************************

STATEMENT OF THE RESOLVED SPECIFICATIONS:

Line 1) of the "General syntax rules and guidelines for ASCII IBIS files:"
section is modified to add "sub-parameters as shown below by "|*".

|==============================================================================
|
| General syntax rules and guidelines for ASCII IBIS files:
|
| 1)  The content of the files is case sensitive, except for reserved
|*     words, keywords, sub-parameters (designated by "Sub-Params")
|*     and sub-parameter definitions.  File names must be all lower case.
|
| 2)  The following words are reserved words and must not be used for
|     any other purposes in the document:
|        POWER - reserved model name, used with power supply pins,
|        GND   - reserved model name, used with ground pins,
|        NC    - reserved model name, used with no-connect pins,
|        NA    - used where data not available.
|
| 3)  File names used in the file must only have lower case characters to
|     enhance UNIX compatibility and must conform to DOS rules.  (The length of
|     a file name should not exceed eight plus three characters and it must
|     not contain special characters which are illegal in DOS).
|
| 4)  The file must have no more than 80 characters per line.
|
| 5)  Anything following the comment character is ignored and considered a
|     comment on that line.  The default "|" (pipe) character can be changed
|     by the keyword [Comment char] to any other character. The [Comment char]
|     keyword can be used throughout the file as desired.
|
| 6)  Keywords must be enclosed in square brackets, [], and must start in
|     column 1 of the line.
|
| 7)  Underscores and spaces are equivalent in keywords.  Spaces are not
|     allowed in sub-parameter names.
|
| 8)  Valid scaling factors are:
|        T = tera        k = kilo        n = nano
|        G = giga        m = milli       p = pico
|        M = mega        u = micro       f = femto
|     When no scaling factors are specified, the appropriate base units are
|     assumed.  (These are Volts, Amperes, Ohms, Farads, and Henries.)  The
|     parser looks at only one alphabetic character after a numerical entry,
|     therefore it is enough to use only the prefixes to scale the parameters.
|     However, for clarity, it is allowed to use full abbreviations for the
|     units.  (e.g., pF, nH, mA, mOhm).  In addition, scientific notation IS
|     allowed (e.g., 1.2345e-12).
|
| 9)  The V/I data tables should use enough data points around sharply curved
|     areas of the V/I curves to describe the curvature accurately.  In linear
|     regions there is no need to define unnecessary data points.
|
| 10) Currents are considered positive when their direction is into the
|     component.
|
| 11) All temperatures are represented in degrees Celsius.
|
|==============================================================================

******************************************************************************

ANALYSIS PATH/DATA THAT LED TO SPECIFICATION

Sub-parameters include those defined forming column titles (such as L_pin),
table rows (such as L_pkg and C_comp), and individual specifications 
(such as Polarity and Model_type).  Also the alpha sub-parameter contents 
(such as I/O, 3-state and Enable). 

Version 1.1 requires that these entries are case sensitive, and IBIS_CHK
for Version 1.1 flags case violations as errors.

Because of context and clear definitions of sub-parameters and
their contents, there does not appear to be a need retain the case
sensitivity restriction.  Furthermore, with a large number of sub-parameters,
one tends to make case entry errors since there is no defined rational
for case sensitive choices.  

This change does not effect the ability to parse Version 1.1 compliant IBIS
files in Version 2.1 parsers.

******************************************************************************

ANY OTHER BACKGROUND INFORMATION